Class CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder
java.lang.Object
software.amazon.awscdk.cfnpropertymixins.services.elasticloadbalancingv2.CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder
- All Implemented Interfaces:
software.amazon.jsii.Builder<CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty>
- Enclosing interface:
CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty
@Stability(Stable)
public static final class CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder
extends Object
implements software.amazon.jsii.Builder<CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty>
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionauthenticationRequestExtraParams(Map<String, String> authenticationRequestExtraParams) authenticationRequestExtraParams(IResolvable authenticationRequestExtraParams) build()Builds the configured instance.onUnauthenticatedRequest(String onUnauthenticatedRequest) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getScope()sessionCookieName(String sessionCookieName) sessionTimeout(Number sessionTimeout) userPoolArn(String userPoolArn) userPoolArn(IUserPoolRef userPoolArn) userPoolClientId(String userPoolClientId) userPoolClientId(IUserPoolClientRef userPoolClientId) userPoolDomain(String userPoolDomain)
-
Constructor Details
-
Builder
public Builder()
-
-
Method Details
-
authenticationRequestExtraParams
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder authenticationRequestExtraParams(IResolvable authenticationRequestExtraParams) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getAuthenticationRequestExtraParams()- Parameters:
authenticationRequestExtraParams- The query parameters (up to 10) to include in the redirect request to the authorization endpoint.- Returns:
this
-
authenticationRequestExtraParams
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder authenticationRequestExtraParams(Map<String, String> authenticationRequestExtraParams) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getAuthenticationRequestExtraParams()- Parameters:
authenticationRequestExtraParams- The query parameters (up to 10) to include in the redirect request to the authorization endpoint.- Returns:
this
-
onUnauthenticatedRequest
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder onUnauthenticatedRequest(String onUnauthenticatedRequest) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getOnUnauthenticatedRequest()- Parameters:
onUnauthenticatedRequest- The behavior if the user is not authenticated. The following are possible values:.- deny `` - Return an HTTP 401 Unauthorized error.
- allow `` - Allow the request to be forwarded to the target.
- authenticate `` - Redirect the request to the IdP authorization endpoint. This is the default value.
- Returns:
this
-
scope
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder scope(String scope) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getScope()- Parameters:
scope- The set of user claims to be requested from the IdP. The default isopenid. To verify which scope values your IdP supports and how to separate multiple values, see the documentation for your IdP.- Returns:
this
-
sessionCookieName
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder sessionCookieName(String sessionCookieName) Sets the value ofCfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.getSessionCookieName()- Parameters:
sessionCookieName- The name of the cookie used to maintain session information. The default is AWSELBAuthSessionCookie.- Returns:
this
-
sessionTimeout
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder sessionTimeout(Number sessionTimeout) - Parameters:
sessionTimeout- The maximum duration of the authentication session, in seconds. The default is 604800 seconds (7 days).- Returns:
this
-
userPoolArn
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder userPoolArn(String userPoolArn) - Parameters:
userPoolArn- The Amazon Resource Name (ARN) of the Amazon Cognito user pool.- Returns:
this
-
userPoolArn
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder userPoolArn(IUserPoolRef userPoolArn) - Parameters:
userPoolArn- The Amazon Resource Name (ARN) of the Amazon Cognito user pool.- Returns:
this
-
userPoolClientId
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder userPoolClientId(String userPoolClientId) - Parameters:
userPoolClientId- The ID of the Amazon Cognito user pool client.- Returns:
this
-
userPoolClientId
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder userPoolClientId(IUserPoolClientRef userPoolClientId) - Parameters:
userPoolClientId- The ID of the Amazon Cognito user pool client.- Returns:
this
-
userPoolDomain
@Stability(Stable) public CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty.Builder userPoolDomain(String userPoolDomain) - Parameters:
userPoolDomain- The domain prefix or fully-qualified domain name of the Amazon Cognito user pool.- Returns:
this
-
build
Builds the configured instance.- Specified by:
buildin interfacesoftware.amazon.jsii.Builder<CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty>- Returns:
- a new instance of
CfnListenerRulePropsMixin.AuthenticateCognitoConfigProperty - Throws:
NullPointerException- if any required attribute was not provided
-